Name:           cgdb
Version:        0.6.7
Release:        %mkrel 3
Summary:        CGDB is a curses-based interface to the GNU Debugger (GDB)
Group:          Development/Other
License:        GPLv2
URL:            http://cgdb.sourceforge.net/
Source0:        http://cgdb.me/files/%{name}-%{version}.tar.gz
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
Requires:       gdb
Requires(post):    /sbin/install-info
Requires(preun):   /sbin/install-info

%description
CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%prep
%setup -q

%build
%configure
%make 

%install
%makeinstall
rm -rf %{buildroot}%{_infodir}/dir

%files
%doc AUTHORS COPYING NEWS TODO README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}.info.*
%{_mandir}/man1/%{name}.1.*

%post
/sbin/install-info %{_infodir}/%{name}.info.* %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.* %{_infodir}/dir || :
fi


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.7-3.mga4
+ Revision: 529040
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.6.7-2.mga4
+ Revision: 449522
- remove useless 'SOURCE1' (logo)

* Tue Jul 02 2013 dams <dams> 0.6.7-1.mga4
+ Revision: 449517
- clean specfile
- new version 0.6.7

* Fri Jan 11 2013 umeabot <umeabot> 0.6.6-2.mga3
+ Revision: 347586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 08 2012 anaselli <anaselli> 0.6.6-1.mga2
+ Revision: 229752
- imported package cgdb

